/***********************************************************************
 *
 * Copyright (C) 2007 Graeme Gott <gottcode@gmail.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 **********************************************************************/

#ifndef WINDOW_H
#define WINDOW_H

#include <QMainWindow>
class Board;
class Settings;

class Window : public QMainWindow
{
public:
	Window();

protected:
	virtual void closeEvent(QCloseEvent* event);

private:
	Board* m_board;
	Settings* m_settings;
};

#endif // WINDOW_H
